OpenEL 3.0.0

Macros | Functions | Variables
openEL_utrx-17-1.c File Reference

OpenEL UTRX-17-1(PCA9685)(0000000020000001) source file 3.0.0. More...

`#include "openEL.h"`
`#include "openEL_utrx-17-1.h"`
`#include <stdio.h>`
`#include <stdint.h>`
`#include <unistd.h>`
`#include <math.h>`
`#include <linux/i2c-dev.h>`
`#include <fcntl.h>`
`#include <sys/ioctl.h>`

Go to the source code of this file.

## Macros
#define | PCA9685_SUBADR1 0x2
#define | PCA9685_SUBADR2 0x3
#define | PCA9685_SUBADR3 0x4
#define | PCA9685_MODE1 0x0
#define | PCA9685_PRESCALE 0xFE
#define | LED0_ON_L 0x6
#define | LED0_ON_H 0x7
#define | LED0_OFF_L 0x8
#define | LED0_OFF_H 0x9
#define | ALLLED_ON_L 0xFA
#define | ALLLED_ON_H 0xFB
#define | ALLLED_OFF_L 0xFC
#define | ALLLED_OFF_H 0xFD
#define | PWM_FREQUENCY 60
#define | PWM_PULSE_WIDTH_MAX 12000

## Functions
void | PCA9685_init (float freq)
uint8_t | PCA9685_read (uint8_t adr)
void | PCA9685_write (uint8_t adr, uint8_t dat)
void | PCA9685_pwmWrite (uint8_t ch, double pulseWidth_usec)
void | PCA9685_setPWM (uint8_t ch, uint16_t onTime, uint16_t offTime)
enum ReturnCode | Init_0000000200000001 ()
enum ReturnCode | ReInit_0000000200000001 ()
enum ReturnCode | Finalize_0000000200000001 ()
enum ReturnCode | AddObserver_0000000200000001 ()
enum ReturnCode | RemoveObserver_0000000200000001 ()
enum ReturnCode | GetProperty_0000000200000001 ()
enum ReturnCode | GetTime_0000000200000001 ()
enum ReturnCode | SetPosition_0000000200000001 (HALCOMPONENT_T **halComponent, halfloat position)
enum ReturnCode | GetPosition_0000000200000001 (HALCOMPONENT_T **halComponent, halfloat **position)
enum ReturnCode | Dummy ()

## Variables
int | once = 1
const EL_CMN_FNC_TBL_T | component_0000000200000001 = {(void *)(&motorFncTbl_0000000200000001)}

## Detailed Description

OpenEL UTRX-17-1(PCA9685)(0000000020000001) source file 3.0.0.

Definition in file openEL_utrx-17-1.c.

## Macro Definition Documentation

## ◆ ALLLED_OFF_H

#define ALLLED_OFF_H 0xFD

Definition at line 58 of file openEL_utrx-17-1.c.

## ◆ ALLLED_OFF_L

#define ALLLED_OFF_L 0xFC

Definition at line 57 of file openEL_utrx-17-1.c.

## ◆ ALLLED_ON_H

#define ALLLED_ON_H 0xFB

Definition at line 56 of file openEL_utrx-17-1.c.

## ◆ ALLLED_ON_L

#define ALLLED_ON_L 0xFA

Definition at line 55 of file openEL_utrx-17-1.c.

## ◆ LED0_OFF_H

#define LED0_OFF_H 0x9

Definition at line 53 of file openEL_utrx-17-1.c.

## ◆ LED0_OFF_L

#define LED0_OFF_L 0x8

Definition at line 52 of file openEL_utrx-17-1.c.

## ◆ LED0_ON_H

#define LED0_ON_H 0x7

Definition at line 51 of file openEL_utrx-17-1.c.

## ◆ LED0_ON_L

#define LED0_ON_L 0x6

Definition at line 50 of file openEL_utrx-17-1.c.

## ◆ PCA9685_MODE1

#define PCA9685_MODE1 0x0

Definition at line 47 of file openEL_utrx-17-1.c.

## ◆ PCA9685_PRESCALE

#define PCA9685_PRESCALE 0xFE

Definition at line 48 of file openEL_utrx-17-1.c.

## ◆ PCA9685_SUBADR1

#define PCA9685_SUBADR1 0x2

Definition at line 43 of file openEL_utrx-17-1.c.

## ◆ PCA9685_SUBADR2

#define PCA9685_SUBADR2 0x3

Definition at line 44 of file openEL_utrx-17-1.c.

## ◆ PCA9685_SUBADR3

#define PCA9685_SUBADR3 0x4

Definition at line 45 of file openEL_utrx-17-1.c.

## ◆ PWM_FREQUENCY

#define PWM_FREQUENCY 60

Definition at line 60 of file openEL_utrx-17-1.c.

## ◆ PWM_PULSE_WIDTH_MAX

#define PWM_PULSE_WIDTH_MAX 12000

Definition at line 61 of file openEL_utrx-17-1.c.

## Function Documentation

## ◆ AddObserver_0000000200000001()

enum ReturnCode AddObserver_0000000200000001 | ( |  | ) |

Definition at line 112 of file openEL_utrx-17-1.c.

## ◆ Dummy()

enum ReturnCode Dummy | ( |  | ) |

Definition at line 146 of file openEL_utrx-17-1.c.

## ◆ Finalize_0000000200000001()

enum ReturnCode Finalize_0000000200000001 | ( |  | ) |

Definition at line 103 of file openEL_utrx-17-1.c.

## ◆ GetPosition_0000000200000001()

enum ReturnCode GetPosition_0000000200000001 | ( | HALCOMPONENT_T ** | halComponent,
|  | halfloat ** | position
| ) |  |

Definition at line 140 of file openEL_utrx-17-1.c.

## ◆ GetProperty_0000000200000001()

enum ReturnCode GetProperty_0000000200000001 | ( |  | ) |

Definition at line 120 of file openEL_utrx-17-1.c.

## ◆ GetTime_0000000200000001()

enum ReturnCode GetTime_0000000200000001 | ( |  | ) |

Definition at line 124 of file openEL_utrx-17-1.c.

## ◆ Init_0000000200000001()

enum ReturnCode Init_0000000200000001 | ( |  | ) |

Definition at line 72 of file openEL_utrx-17-1.c.

## ◆ PCA9685_init()

void PCA9685_init | ( | float | freq | ) |

Definition at line 192 of file openEL_utrx-17-1.c.

## ◆ PCA9685_pwmWrite()

void PCA9685_pwmWrite | ( | uint8_t | ch,
|  | double | pulseWidth_usec
| ) |  |

Definition at line 208 of file openEL_utrx-17-1.c.

## ◆ PCA9685_read()

uint8_t PCA9685_read | ( | uint8_t | adr | ) |

Definition at line 235 of file openEL_utrx-17-1.c.

## ◆ PCA9685_setPWM()

void PCA9685_setPWM | ( | uint8_t | ch,
|  | uint16_t | onTime,
|  | uint16_t | offTime
| ) |  |

Definition at line 220 of file openEL_utrx-17-1.c.

## ◆ PCA9685_write()

void PCA9685_write | ( | uint8_t | adr,
|  | uint8_t | dat
| ) |  |

Definition at line 253 of file openEL_utrx-17-1.c.

## ◆ ReInit_0000000200000001()

enum ReturnCode ReInit_0000000200000001 | ( |  | ) |

Definition at line 98 of file openEL_utrx-17-1.c.

## ◆ RemoveObserver_0000000200000001()

enum ReturnCode RemoveObserver_0000000200000001 | ( |  | ) |

Definition at line 116 of file openEL_utrx-17-1.c.

## ◆ SetPosition_0000000200000001()

enum ReturnCode SetPosition_0000000200000001 | ( | HALCOMPONENT_T ** | halComponent,
|  | halfloat | position
| ) |  |

Definition at line 128 of file openEL_utrx-17-1.c.

## Variable Documentation

## ◆ component_0000000200000001

const EL_CMN_FNC_TBL_T component_0000000200000001 = {(void *)(&motorFncTbl_0000000200000001)}

Definition at line 190 of file openEL_utrx-17-1.c.

## ◆ once

int once = 1

Definition at line 70 of file openEL_utrx-17-1.c.